Package: org.gradle.nativeplatform

## [Java] Interface NativeExecutableBinarySpec

- org.gradle.platform.base.ApplicationBinarySpec

- All Superinterfaces:
    BinarySpec, NativeBinarySpec, Buildable, ApplicationBinarySpec

  An binary built by Gradle for a native application.

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `interface` | `NativeExecutableBinarySpec.TasksCollection` | Provides access to key tasks used for building the binary.

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `NativeExecutableSpec` | `getApplication()` {@inheritDoc}
    `NativeExecutableSpec` | `getComponent()` {@inheritDoc}
    `File` | `getExecutableFile()` The executable file.
    `NativeExecutableBinarySpec.TasksCollection` | `getTasks()` {@inheritDoc}
    `void` | `setExecutableFile(File executableFile)` The executable file.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ApplicationBinarySpec` | `getApplication`
    `interface NativeBinarySpec` | `getBuildType, getComponent, getFlavor, getLibs, getLinker, getStaticLibArchiver, getTargetPlatform, getToolChain, lib`

- - ### Method Detail

    - #### @Override public NativeExecutableSpec getApplication()

      {@inheritDoc}

    - #### @Override public NativeExecutableSpec getComponent()

      {@inheritDoc}

    - #### public File getExecutableFile()

      The executable file.

    - #### @Override public NativeExecutableBinarySpec.TasksCollection getTasks()

      {@inheritDoc}

    - #### public void setExecutableFile(File executableFile)

      The executable file.